Package org.optaplanner.core.impl.score.stream.common

## Enum JoinerType

- java.lang.Object
- - java.lang.Enum<JoinerType>
  - - org.optaplanner.core.impl.score.stream.common.JoinerType

- All Implemented Interfaces:
    `Serializable`, `Comparable<JoinerType>`

      public enum JoinerType
      extends Enum<JoinerType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONTAINING` |
    `DISJOINT` |
    `EQUAL` |
    `GREATER_THAN` |
    `GREATER_THAN_OR_EQUAL` |
    `INTERSECTING` |
    `LESS_THAN` |
    `LESS_THAN_OR_EQUAL` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JoinerType` | `flip()` |
    `boolean` | `matches​(Object left, Object right)` |
    `static JoinerType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static JoinerType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUAL

          public static final JoinerType EQUAL

    - #### LESS_THAN

          public static final JoinerType LESS_THAN

    - #### LESS_THAN_OR_EQUAL

          public static final JoinerType LESS_THAN_OR_EQUAL

    - #### GREATER_THAN

          public static final JoinerType GREATER_THAN

    - #### GREATER_THAN_OR_EQUAL

          public static final JoinerType GREATER_THAN_OR_EQUAL

    - #### CONTAINING

          public static final JoinerType CONTAINING

    - #### INTERSECTING

          public static final JoinerType INTERSECTING

    - #### DISJOINT

          public static final JoinerType DISJOINT

  - ### Method Detail

    - #### values

          public static JoinerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JoinerType c : JoinerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JoinerType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### flip

          public JoinerType flip()

    - #### matches

          public boolean matches​(Object left,
                                 Object right)